Bug 7290 - iconv --help and man iconv information mismatches
: iconv --help and man iconv information mismatches
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/man-pages)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-07-05 13:24 by
Modified: 2005-07-27 17:47 (History)


Attachments
man 1 iconv (1.77 KB, text/plain)
2005-07-07 11:27, Slava Semushin
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-07-05 13:24:11
В мане не отражены ключи по словам rider@ уже больше года присутсвующие в
утилите :)
------- Comment #1 From 2005-07-07 11:27:21 -------
Created an attachment (id=971) [details]
man 1 iconv

Прочитал вот в sisyphus@ призывы Eugene Ostapets и Anton Farygin повесить эту
багу, решил повесить. Пришел в bugzilla, но меня опередили и бага оказалась уже
открытой :)) Ну что ж, сдаваться не буду. Хотел бы тогда поучаствовать в ее
закрытии :-)

Посему предлагаю и прилагаю исправленный man. Я не стал делать патч, так как
старый ман внутри оказался каким-то странным и с кучей не понятных мне вещей.
Поэтому я написал ман заново, с нуля. За основу была взята старая версия
(чуток), а также информация, полученная из вывода iconv --help и iconv --usage.


Сразу замечу, что это мой первый опыт написания манов (немного имел с ними дело
в связи с #7107 и #7214), так что наверняка ошибки есть.

FIXME: нужно добавить в DESCRIPTION о том, что если опустить опцию -t или -f,
то по умолчанию будет использоваться кодировка текщей локали (как-то так). Сам
это сделать не могу, так как my English is not very well and "really strange"
(c) :))))

Надеюсь, что моя работа не окажется бесполезной...
------- Comment #2 From 2005-07-09 21:02:08 -------
Перевешиваю на мантейнера пакета, в котором находится файл
/usr/share/man/man1/iconv.1.gz
------- Comment #3 From 2005-07-09 21:06:49 -------
Перевешиваю на мантейнера пакета, в котором находится файл
/usr/share/man/man1/iconv.1.gz (вторая попытка).
------- Comment #4 From 2005-07-18 10:31:17 -------
А? Что? Где? Хто тут? :-)
Это оказывается мне :-) Принято!
------- Comment #5 From 2005-07-27 10:50:07 -------
Fixed in man-pages-2.07-alt1.